DrawnString.Alignment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.ctdp.rfdynhud.render
Enum DrawnString.Alignment

    java.lang.Object
      java.lang.Enum<DrawnString.Alignment>
          net.ctdp.rfdynhud.render.DrawnString.Alignment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DrawnString.Alignment>

Enclosing class:
  DrawnString

    public static enum DrawnString.Alignment

extends java.lang.Enum<DrawnString.Alignment>

Enum Constant Summary
`CENTER`
`LEFT`
`RIGHT`

Method Summary
`static DrawnString.Alignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DrawnString.Alignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LEFT

    public static final DrawnString.Alignment LEFT

### CENTER

    public static final DrawnString.Alignment CENTER

### RIGHT

    public static final DrawnString.Alignment RIGHT

Method Detail

### values

    public static DrawnString.Alignment[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DrawnString.Alignment c : DrawnString.Alignment.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DrawnString.Alignment valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD